<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['krit-title3'];
  $helppage = $TEXT['krit-help3'];

  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if(!isset($title)) $title = $TEXT['krit-title3'];
  if(!isset($button)) $button = $TEXT['btn_edit'];
  if(!isset($action)) $action = "edit.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(strlen($_GET['krit_id'])>11) puterror2($TEXT['error-krit4']);
  $_GET['krit_id'] = rep($_GET['krit_id']);

  $old_krit_id = $_GET['krit_id'];

  $query = "SELECT * FROM `tbl_kritichnost` WHERE `krit_id`='".$_GET['krit_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl39']);
   $result2 = mysql_fetch_array($result);
         $kritichnost = $result2['kritichnost'];
         $position = $result2['position'];
         $old_photo = $result2['pic_krit'];
	if(!empty($result2['pic_krit'])) $picture = "<img alt='".$TEXT['menu-btn32']."' width='16' height='16' src='../".$result2['pic_krit']."' />";
	  else $picture = $TEXT['res-field17'];
?>
<form enctype='multipart/form-data' action=<?php echo $action; ?> method=post>
<table>
<tr><td class="useraddedit"><?php echo $TEXT['inst-field1']; ?></td><td class="useraddedit" align=center><?php echo $picture; ?></td></tr>
<tr><td class="useraddedit"><?php echo $TEXT['inst-field6']; ?></td><td><input type=file name=photo></td></tr>
<tr><td class="useraddedit"><?php echo $TEXT['analiz-msg-text']; ?></td><td><input size=30 maxlength=200 class="inputmandatory" type=text name=kritichnost value='<?php echo $kritichnost; ?>'></td></tr>
<tr><td class="useraddedit"><?php echo $TEXT['nd-field10']; ?></td><td><input size=5 maxlength=11 class="inputmandatory" type=text name=position value='<?php echo $position; ?>'></td></tr>
<tr><td></td><td>
<input class="button" type=submit value='<?php echo $button; ?>' />
<input type=hidden name=krit_id value='<?php echo $old_krit_id; ?>' />
<input type=hidden name=old_photo value='<?php echo $old_photo; ?>' />
</td></tr>
</table>
</form>
<?php
  require_once "../util/bottom.php";
?>